Bug 317347 - Can't see what i have to type unless i resize the window
Summary: Can't see what i have to type unless i resize the window
Status: RESOLVED FIXED
Alias: None
Product: ktouch
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Sebastian Gottfried
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-25 19:36 UTC by Albert Astals Cid
Modified: 2013-03-28 10:48 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.10.2


Attachments
The screenshot with the problem (301.91 KB, image/png)
2013-03-25 19:37 UTC, Albert Astals Cid
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Albert Astals Cid 2013-03-25 19:36:19 UTC
I'll attach a screenshot

Reproducible: Always

Steps to Reproduce:
1. Open ktouch
2. Press the start training button
3. Have a look at the screen
Actual Results:  
I see "Lesson 1"

Expected Results:  
I'd expect to see the keys i have to type
Comment 1 Albert Astals Cid 2013-03-25 19:37:52 UTC
Created attachment 78380 [details]
The screenshot with the problem
Comment 2 Sebastian Gottfried 2013-03-25 21:27:27 UTC
I'm guessing you are using either the Catalan or the first Spanish course. Both courses have lessons with very short lines resulting in a huge font size for the lesson text. Not only it looks spupid, but also the first training line lies, as reported, already outside the viewport. 

I will reformat the lessons so they employ a more reasonable line length.
Comment 3 Sebastian Gottfried 2013-03-28 10:45:28 UTC
Git commit c7e8a8b2ec7c0a74479beb40a1186593489e165a by Sebastian Gottfried.
Committed on 28/03/2013 at 11:40.
Pushed by gottfried into branch 'KDE/4.10'.

data: reformat the Catalan and two Spanish courses

So that their lessons have a more reasonable line length. Now the first
line of training text is actually visible in the trainer without
having to scroll down/resize the window first.

M  +175  -233  data/courses/cat.xml
M  +208  -272  data/courses/es1.xml
M  +149  -204  data/courses/es2.xml
M  +1    -2    data/data.xml

http://commits.kde.org/ktouch/c7e8a8b2ec7c0a74479beb40a1186593489e165a